> For the complete documentation index, see [llms.txt](https://docs.tracr.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tracr.com/api-reference/grading-integration-service-gis-api/supported-shapes.md).

# Supported Shapes

## Introduction

We have implemented a partial solution to support some shapes submitted by a lab against shapes that we support through lab eligibility parsing.

> We support around 97.60% of diamonds in Tracr with the parsing logic implemented.

| Tracr Shape      | Lab Shape              | Lab Eligible  |
| ---------------- | ---------------------- | ------------- |
| ASSCHER          | EMERALD                | Not supported |
| ASSCHER          | SQUARE EMERALD         | Not supported |
| ASSCHER          | ASSCHER                | Not supported |
| BAGUETTE         | OTHER                  | Not supported |
| BAGUETTE         | MISC                   | Not supported |
| BAGUETTE         | BAGUETTE               | Not supported |
| BRIOLETTE        | OTHER                  | Not supported |
| BRIOLETTE        | BRIOLETTE              | Not supported |
| BULLETS          | SHIELD                 | Not supported |
| BULLETS          | OTHER                  | Not supported |
| BULLETS          | BULLETS                | Not supported |
| CALF             | TRIANGLE               | Not supported |
| CALF             | OTHER                  | Not supported |
| CALF             | CALF                   | Not supported |
| **CUSHION**      | **CUSHION**            | **Parseable** |
| **EMERALD**      | **SQUARE EMERALD**     | **Parseable** |
| **EMERALD**      | **ASSCHER**            | **Parseable** |
| **EMERALD**      | **EMERALD**            | **Parseable** |
| EUROPEAN CUT     | ROUND                  | Not supported |
| EUROPEAN CUT     | EUROPEAN CUT           | Not supported |
| FLANDERS         | OCTAGONAL              | Not supported |
| FLANDERS         | OTHER                  | Not supported |
| FLANDERS         | FLANDERS               | Not supported |
| HALF MOON        | OTHER                  | Not supported |
| HALF MOON        | MISC                   | Not supported |
| HALF MOON        | HALF MOON              | Not supported |
| **HEART**        | **HEART**              | **Parseable** |
| HEXAGONAL        | HEXAGON                | Not supported |
| HEXAGONAL        | OTHER                  | Not supported |
| HEXAGONAL        | HEXAGONAL              | Not supported |
| KITE             | SHIELD                 | Not supported |
| KITE             | KITE                   | Not supported |
| LOZENGE          | OTHER                  | Not supported |
| LOZENZE          | LOZENGE                | Not supported |
| **MARQUISE**     | **MARQUISE**           | **Parseable** |
| OCTAGONAL        | OCTAGONAL              | Not supported |
| OCTAGONAL        | OTHER                  | Not supported |
| OCTAGONAL        | OCTAGONAL              | Not supported |
| OLD MINER        | CUSHION                | Not supported |
| OLD MINER        | OLD MINER              | Not supported |
| OTHER            | MISC                   | Not supported |
| OTHER            | RHOMBOID               | Not supported |
| OTHER            | SEVEN-SIDED            | Not supported |
| OTHER            | NINE-SIDED             | Not supported |
| OTHER            | POLYHEDRON             | Not supported |
| OTHER            | OTHER                  | Not supported |
| **OVAL**         | **OVAL**               | **Parseable** |
| **PEAR**         | **PEAR**               | **Parseable** |
| PENTAGONAL       | OTHER                  | Not supported |
| PENTAGONAL       | MISC                   | Not supported |
| PENTAGONAL       | PENTAGONAL             | Not supported |
| **PRINCESS**     | **SQUARE**             | **Parseable** |
| **PRINCESS**     | **RECTANGLE**          | **Parseable** |
| **PRINCESS**     | **PRINCESS**           | **Parseable** |
| **RADIANT**      | **SQUARE**             | **Parseable** |
| **RADIANT**      | **RECTANGLE**          | **Parseable** |
| **RADIANT**      | **RADIANT**            | **Parseable** |
| RECTANGLE        | SQUARE                 | Not supported |
| RECTANGLE        | PRINCESS               | Not supported |
| RECTANGLE        | CUT-CORNERED RECTANGLE | Not supported |
| RECTANGLE        | RECTANGLE              | Not supported |
| **ROUND**        | **ROUND MODIFIED**     | **Parseable** |
| **ROUND**        | **ROUND**              | **Parseable** |
| SHIELD           | KITE                   | Not supported |
| SHIELD           | SHIELD                 | Not supported |
| SQUARE           | RECTANGLE              | Not supported |
| SQUARE           | PRINCESS               | Not supported |
| SQUARE           | CUT-CORNERED SQUARE    | Not supported |
| SQUARE           | SQUARE                 | Not supported |
| SQUARE EMERALD   | EMERALD                | Not supported |
| SQUARE EMERALD   | ASSCHER                | Not supported |
| SQUARE EMERALD   | SQUARE EMERALD         | Not supported |
| SQUARE RADIANT   | SQUARE                 | Not supported |
| SQUARE RADIANT   | RECTANGLE              | Not supported |
| SQUARE RADIANT   | SQUARE RADIANT         | Not supported |
| STAR             | OTHER                  | Not supported |
| STAR             | MISC                   | Not supported |
| STAR             | STAR                   | Not supported |
| TAPERED BAGUETTE | TRAPEZOID              | Not supported |
| TAPERED BAGUETTE | OTHER                  | Not supported |
| TAPERED BAGUETTE | TAPERED BAGUETTE       | Not supported |
| TAPERED BULLET   | SHIELD                 | Not supported |
| TAPERED BULLET   | KITE                   | Not supported |
| TAPERED BULLET   | OTHER                  | Not supported |
| TAPERED BULLET   | TAPERED BULLET         | Not supported |
| TRAPEZOID        | OTHER                  | Not supported |
| TRAPEZOID        | TRAPEZOID              | Not supported |
| TRIANGLE         | KITE                   | Not supported |
| TRIANGLE         | TRIANGLE               | Not supported |
| TRILLIANT        | TRIANGLE               | Not supported |
| TRILLIANT        | OTHER                  | Not supported |
| TRILLIANT        | TRILLIANT              | Not supported |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tracr.com/api-reference/grading-integration-service-gis-api/supported-shapes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
